<template>
      <v-app-bar
        color="primary"
        prominent
      >
        <v-app-bar-nav-icon variant="text" @click.stop="drawer = !drawer"></v-app-bar-nav-icon>

        <v-toolbar-title>Picturegram</v-toolbar-title>

        <v-btn v-if="auth.user" icon @click="navigate()">
          <v-icon :icon="mdiAccount"></v-icon>
        </v-btn>
        
      </v-app-bar>

      <v-navigation-drawer
        v-model="drawer"
        temporary>
        <v-list>
            <v-list-item to="/">Home</v-list-item>
            <v-list-item to="/login">Login</v-list-item>
            <v-list-item to="/add-picture" v-if="auth.user">Add Picture</v-list-item>

        </v-list>
      </v-navigation-drawer>
</template>

<script setup lang="ts">
import { ref } from 'vue';
import {mdiAccount} from '@mdi/js'
import { useRouter } from 'vue-router';
import { useAuth } from '@/stores/auth';

const drawer = ref(false);
const router = useRouter();
const auth = useAuth();

function navigate() {
  if(auth.user) {
    router.push('/account')
    return;
  }
  router.push('/login');
}

</script>